<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbProduct" table="DB_PRODUCT">
        <id name="sequenceid" type="java.lang.String">
            <column name="SEQUENCEID" length="100" />
            <generator class="assigned" />
        </id>
        <property name="sid" type="java.lang.String">
            <column name="SID" length="50" not-null="true" />
        </property>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="50" not-null="true" />
        </property>
        <property name="name" type="java.lang.String">
            <column name="NAME" length="200" not-null="true" />
        </property>
        <property name="content" type="java.lang.String">
            <column name="CONTENT" length="4000" />
        </property>
        <property name="descr" type="java.lang.String">
            <column name="DESCR" length="1000" />
        </property>
        <property name="projectid" type="java.lang.String">
            <column name="PROJECTID" length="50" />
        </property>
        <property name="categoryid" type="java.lang.String">
            <column name="CATEGORYID" length="100" />
        </property>
        <property name="unit" type="java.lang.String">
            <column name="UNIT" length="100" />
        </property>
        <property name="status" type="java.lang.String">
            <column name="STATUS" length="100" />
        </property>
        <property name="brandid" type="java.lang.String">
            <column name="BRANDID" length="50" />
        </property>
        <property name="brand" type="java.lang.String">
            <column name="BRAND" length="100" />
        </property>
        <property name="manufactureid" type="java.lang.String">
            <column name="MANUFACTUREID" length="100" />
        </property>
        <property name="manufacture" type="java.lang.String">
            <column name="MANUFACTURE" length="100" />
        </property>
        <property name="origin" type="java.lang.String">
            <column name="ORIGIN" length="200" />
        </property>
        <property name="originarea" type="java.lang.String">
            <column name="ORIGINAREA" length="200" />
        </property>
        <property name="translate1" type="java.lang.String">
            <column name="TRANSLATE1" length="4000" />
        </property>
        <property name="translate2" type="java.lang.String">
            <column name="TRANSLATE2" length="4000" />
        </property>
        <property name="translate3" type="java.lang.String">
            <column name="TRANSLATE3" length="4000" />
        </property>
        <property name="translate4" type="java.lang.String">
            <column name="TRANSLATE4" length="4000" />
        </property>
        <property name="othercontent" type="java.lang.String">
            <column name="OTHERCONTENT" length="4000" />
        </property>
        <property name="stockprice" type="java.lang.Double">
            <column name="STOCKPRICE" precision="8" />
        </property>
        <property name="costprice" type="java.lang.Double">
            <column name="COSTPRICE" precision="8" />
        </property>
        <property name="sellprice" type="java.lang.Double">
            <column name="SELLPRICE" precision="8" />
        </property>
        <property name="batchprice1" type="java.lang.Double">
            <column name="BATCHPRICE1" precision="8" />
        </property>
        <property name="batchprice2" type="java.lang.Double">
            <column name="BATCHPRICE2" precision="8" />
        </property>
        <property name="batchprice3" type="java.lang.Double">
            <column name="BATCHPRICE3" precision="8" />
        </property>
        <property name="batchprice4" type="java.lang.Double">
            <column name="BATCHPRICE4" precision="8" />
        </property>
        <property name="storageid" type="java.lang.String">
            <column name="STORAGEID" length="100" />
        </property>
        <property name="storage" type="java.lang.String">
            <column name="STORAGE" length="100" />
        </property>
        <property name="locationid" type="java.lang.String">
            <column name="LOCATIONID" length="100" />
        </property>
        <property name="location" type="java.lang.String">
            <column name="LOCATION" length="100" />
        </property>
        <property name="weight" type="java.lang.Long">
            <column name="WEIGHT" precision="10" scale="0" />
        </property>
        <property name="sizes" type="java.lang.String">
            <column name="SIZES" length="100" />
        </property>
        <property name="color" type="java.lang.String">
            <column name="COLOR" length="100" />
        </property>
        <property name="barcode" type="java.lang.String">
            <column name="BARCODE" length="100" />
        </property>
        <property name="availtime" type="java.lang.String">
            <column name="AVAILTIME" length="100" />
        </property>
        <property name="alias1" type="java.lang.String">
            <column name="ALIAS1" length="4000" />
        </property>
        <property name="alias2" type="java.lang.String">
            <column name="ALIAS2" length="4000" />
        </property>
        <property name="alias3" type="java.lang.String">
            <column name="ALIAS3" length="4000" />
        </property>
        <property name="picture1" type="java.lang.String">
            <column name="PICTURE1" length="200" />
        </property>
        <property name="picture2" type="java.lang.String">
            <column name="PICTURE2" length="200" />
        </property>
        <property name="picture3" type="java.lang.String">
            <column name="PICTURE3" length="200" />
        </property>
        <property name="picture4" type="java.lang.String">
            <column name="PICTURE4" length="200" />
        </property>
        <property name="buyflag" type="java.lang.String">
            <column name="BUYFLAG" length="2" />
        </property>
        <property name="buynum" type="java.lang.Long">
            <column name="BUYNUM" precision="8" scale="0" />
        </property>
        <property name="shoptype" type="java.lang.String">
            <column name="SHOPTYPE" length="500" />
        </property>
        <property name="salesource" type="java.lang.String">
            <column name="SALESOURCE" length="500" />
        </property>
        <property name="savenum" type="java.lang.Long">
            <column name="SAVENUM" precision="6" scale="0" />
        </property>
        <property name="ordernum" type="java.lang.Long">
            <column name="ORDERNUM" precision="6" scale="0" />
        </property>
        <property name="alertnum" type="java.lang.Long">
            <column name="ALERTNUM" precision="6" scale="0" />
        </property>
        <property name="levels" type="java.lang.String">
            <column name="LEVELS" length="20" />
        </property>
        <property name="openflag" type="java.lang.String">
            <column name="OPENFLAG" length="10" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="50" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="translateflag" type="java.lang.String">
            <column name="TRANSLATEFLAG" length="1" />
        </property>
        <property name="priceflag" type="java.lang.String">
            <column name="PRICEFLAG" length="1" />
        </property>
        <property name="contentflag" type="java.lang.String">
            <column name="CONTENTFLAG" length="1" />
        </property>
        <property name="picflag" type="java.lang.String">
            <column name="PICFLAG" length="1" />
        </property>
        <property name="designflag" type="java.lang.String">
            <column name="DESIGNFLAG" length="1" />
        </property>
        <property name="publicflag" type="java.lang.String">
            <column name="PUBLICFLAG" length="1" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="100" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="100" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="100" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="100" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="100" />
        </property>
        <property name="reserve6" type="java.lang.String">
            <column name="RESERVE6" length="100" />
        </property>
        <property name="reserve7" type="java.lang.String">
            <column name="RESERVE7" length="100" />
        </property>
        <property name="reserve8" type="java.lang.String">
            <column name="RESERVE8" length="100" />
        </property>
        <property name="reserve9" type="java.lang.String">
            <column name="RESERVE9" length="100" />
        </property>
        <property name="reserve10" type="java.lang.String">
            <column name="RESERVE10" length="100" />
        </property>
        <property name="manufactureid2" type="java.lang.String">
            <column name="MANUFACTUREID2" length="100" />
        </property>
        <property name="manufacture2" type="java.lang.String">
            <column name="MANUFACTURE2" length="100" />
        </property>
        <property name="manufactureid3" type="java.lang.String">
            <column name="MANUFACTUREID3" length="100" />
        </property>
        <property name="manufacture3" type="java.lang.String">
            <column name="MANUFACTURE3" length="100" />
        </property>
        <property name="checkstockoper" type="java.lang.String">
            <column name="CHECKSTOCKOPER" length="100" />
        </property>
        <property name="checkstocktime" type="java.util.Date">
            <column name="CHECKSTOCKTIME" length="7" />
        </property>
        <property name="price1" type="java.lang.Double">
            <column name="PRICE1" precision="8" />
        </property>
        <property name="price2" type="java.lang.Double">
            <column name="PRICE2" precision="8" />
        </property>
        <property name="price3" type="java.lang.Double">
            <column name="PRICE3" precision="8" />
        </property>
        <property name="price4" type="java.lang.Double">
            <column name="PRICE4" precision="8" />
        </property>
        <property name="price5" type="java.lang.Double">
            <column name="PRICE5" precision="8" />
        </property>
        <property name="price6" type="java.lang.Double">
            <column name="PRICE6" precision="8" />
        </property>
        <property name="price7" type="java.lang.Double">
            <column name="PRICE7" precision="8" />
        </property>
        <property name="price8" type="java.lang.Double">
            <column name="PRICE8" precision="8" />
        </property>
        <property name="itemno" type="java.lang.String">
            <column name="ITEMNO" length="50" />
        </property>
        <property name="clobcontent" type="java.lang.String">
            <column name="CLOBCONTENT" length="4000" />
        </property>
        <property name="clobdescr" type="java.lang.String">
            <column name="CLOBDESCR" length="4000" />
        </property>
        <property name="clobtranslate" type="java.lang.String">
            <column name="CLOBTRANSLATE" length="4000" />
        </property>
        <property name="oper1" type="java.lang.String">
            <column name="OPER1" length="50" />
        </property>
        <property name="oper2" type="java.lang.String">
            <column name="OPER2" length="50" />
        </property>
        <property name="oper3" type="java.lang.String">
            <column name="OPER3" length="50" />
        </property>
        <property name="oper4" type="java.lang.String">
            <column name="OPER4" length="50" />
        </property>
        <property name="oper5" type="java.lang.String">
            <column name="OPER5" length="50" />
        </property>
        <property name="oper6" type="java.lang.String">
            <column name="OPER6" length="50" />
        </property>
        <property name="alertflag" type="java.lang.String">
            <column name="ALERTFLAG" length="50" />
        </property>
        <property name="alertdescr" type="java.lang.String">
            <column name="ALERTDESCR" length="1000" />
        </property>
        <property name="packagingid" type="java.lang.String">
            <column name="PACKAGINGID" length="100" />
        </property>
        <property name="packagingname" type="java.lang.String">
            <column name="PACKAGINGNAME" length="100" />
        </property>
        <property name="packagingweight" type="java.lang.Double">
            <column name="PACKAGINGWEIGHT" precision="8" />
        </property>
        <property name="iclass" type="java.lang.String">
            <column name="ICLASS" length="400" />
        </property>
        <property name="mainsku" type="java.lang.String">
            <column name="MAINSKU" length="50" />
        </property>
    </class>
</hibernate-mapping>
